
Redmine - Defect #606

settings.yml has illegal syntax in it.
Status: Closed Start date: 2008-02-05

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

The native Ruby compiler does not complain, but JRuby 1.0.3 does. The settings in this file that start with a hyphen, are apparently

(technically) not valid YML unless those lines are further indented with another two spaces

  default: --

  - issue_added

  - issue_updated

issue_list_default_columns:

  serialized: true

  default: --

  - tracker

  - status

  - priority

  - subject

  - assigned_to

  - updated_on

Associated revisions

Revision 1124 - 2008-02-06 19:56 - Jean-Philippe Lang

Fixed settings.yml syntax (yaml parsing fails with JRuby 1.0.3: #606).

History

#1 - 2008-02-05 18:40 - Jean-Philippe Lang

- Status changed from New to 7

- Assignee set to Jean-Philippe Lang

Applying to_yaml on the settings gives:

notified_events:

  serialized: true

  default: 

  - issue_added

  - issue_updated

issue_list_default_columns:

  serialized: true

  default: 

  - tracker

  - status

  - priority

  - subject

  - assigned_to

  - updated_on

 This should be valid since it's produced by ruby's #to_yaml.

So the problem in settings.yml may comes from the 2 hypens that are after default:

Could you try with this syntax (without the 2 hypens) ?

#2 - 2008-02-06 03:28 - M T

Yes that does seem to "fix" the problem, and I can see that your analysis is correct. Notwithstanding that ruby doesn't blow up on parsing it, it does

appear to be illegal to have...
default: --

 The relevant issue in jruby, raised by someone else trying to get redmine working under jruby is:

http://jira.codehaus.org/browse/JRUBY-1756

They have made a fix to make it jruby tolerate it like ruby, but that fix is not released yet in any stable version of jruby, so getting it fixed in settings.yml

would be appreciated.

#3 - 2008-02-06 19:57 - Jean-Philippe Lang

- Status changed from 7 to Closed

Fixed in r1124 (the 2 hypens are removed after default:).
